package cz.cvut.kbss.bookstore.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.view.JstlView;
import org.springframework.web.servlet.view.UrlBasedViewResolver;

@Configuration
@EnableWebMvc
@Import({ServiceConfig.class, PersistenceConfig.class})
// Component scan for the presentation layer - mainly JSF backing beans and possibly validators and converters
@ComponentScan(basePackages = "cz.cvut.kbss.bookstore.pres")
public class WebAppConfig {

    /**
     * View resolver is used to figure out which JSF view (.xhtml file) should be used.
     *
     * @return View resolver
     */
    @Bean
    public UrlBasedViewResolver faceletsViewResolver() {
        UrlBasedViewResolver resolver = new UrlBasedViewResolver();
        resolver.setViewClass(JstlView.class);
        resolver.setPrefix("/WEB-INF/");
        resolver.setSuffix(".xhtml");
        return resolver;
    }
}
